Package: grails.rest.render.hal

## [Groovy] Class HalXmlRenderer<T>

- grails.rest.render.hal.HalXmlRenderer

- Renders domain instances in HAL XML format (see http://stateless.co/hal_specification.html)

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `LINK_TAG` |
    `static MimeType` | `MIME_TYPE` |
    `static java.lang.String` | `RELATIONSHIP_ATTRIBUTE` |
    `static java.lang.String` | `RESOURCE_TAG` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractLinkingRenderer` | `DEFAULT_EXCLUDES, DEPRECATED_ATTRIBUTE, HREFLANG_ATTRIBUTE, HREF_ATTRIBUTE, RELATIONSHIP_SELF, TEMPLATED_ATTRIBUTE, TITLE_ATTRIBUTE, TYPE_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `HalXmlRenderer (java.lang.Class<T> targetType)`
    `HalXmlRenderer (java.lang.Class<T> targetType, MimeType mimeType)`
    `HalXmlRenderer (java.lang.Class<T> targetType, MimeType[] mimeTypes)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `renderInternal(T object, RenderContext context)`
    `` | `protected void` | `startResourceTag(XMLStreamWriter writer, java.lang.String resourceHref, java.util.Locale locale, java.lang.String title)`
    `` | `protected void` | `startResourceTagForCurrentPath(RenderContext context, XMLStreamWriter writer)`
    `` | `protected void` | `writeDomainProperty(java.lang.Object value, java.lang.String propertyName, java.lang.Object writerObject)`
    `` | `protected void` | `writeDomainWithEmbeddedAndLinks(org.grails.datastore.mapping.model.PersistentEntity entity, java.lang.Object object, RenderContext context, XML xml, java.util.Set writtenObjects)`
    `` | `void` | `writeLink(Link link, java.util.Locale locale, java.lang.Object writerObject)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractLinkingRenderer` | `getLinkTitle, getLinksForObject, getResourceTitle, isDomainResource, render, renderInternal, writeAssociationLinks, writeDomain, writeDomainProperty, writeExtraLinks, writeLink`
    `class AbstractIncludeExcludeRenderer` | `excludesProperty, includesProperty, shouldIncludeProperty`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String LINK_TAG

    - #### public static final MimeType MIME_TYPE

    - #### public static final java.lang.String RELATIONSHIP_ATTRIBUTE

    - #### public static final java.lang.String RESOURCE_TAG

  - ### Constructor Detail

    - #### HalXmlRenderer(java.lang.Class<T> targetType)

    - #### HalXmlRenderer(java.lang.Class<T> targetType, MimeType mimeType)

    - #### HalXmlRenderer(java.lang.Class<T> targetType, MimeType[] mimeTypes)

  - ### Method Detail

    - #### @java.lang.Override void renderInternal(T object, RenderContext context)

    - #### protected void startResourceTag(XMLStreamWriter writer, java.lang.String resourceHref, java.util.Locale locale, java.lang.String title)

    - #### protected void startResourceTagForCurrentPath(RenderContext context, XMLStreamWriter writer)

    - #### @java.lang.Override protected void writeDomainProperty(java.lang.Object value, java.lang.String propertyName, java.lang.Object writerObject)

    - #### protected void writeDomainWithEmbeddedAndLinks(org.grails.datastore.mapping.model.PersistentEntity entity, java.lang.Object object, RenderContext context, XML xml, java.util.Set writtenObjects)

    - #### void writeLink(Link link, java.util.Locale locale, java.lang.Object writerObject)